LibStdProgramTest.cpp File Reference
`#include "stdinc.h"`
`#include "frobby.h"`
`#include "tests.h"`
`#include "BigIdeal.h"`
`#include "IdealFactory.h"`
`#include "LibTest.h"`

Go to the source code of this file.

## Functions

| TEST (StandardProgram, TypicalNonNegative)
| TEST (StandardProgram, TypicalNegative)
| TEST (StandardProgram, ZeroIdeal)
| TEST (StandardProgram, WholeRing)

## Function Documentation

## TEST() [1/4]

TEST | ( | StandardProgram | ,
|  | TypicalNegative | )

Definition at line 44 of file LibStdProgramTest.cpp.

## TEST() [2/4]

TEST | ( | StandardProgram | ,
|  | TypicalNonNegative | )

Definition at line 27 of file LibStdProgramTest.cpp.

## TEST() [3/4]

TEST | ( | StandardProgram | ,
|  | WholeRing | )

Definition at line 84 of file LibStdProgramTest.cpp.

## TEST() [4/4]

TEST | ( | StandardProgram | ,
|  | ZeroIdeal | )

Definition at line 60 of file LibStdProgramTest.cpp.